Bug 544570 - Review Request: attica - Implementation of the Open Collaboration Services API
Review Request: attica - Implementation of the Open Collaboration Services API
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-05 08:19 EST by Lorenzo Villani
Modified: 2009-12-16 12:49 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-16 12:49:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jreznik: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lorenzo Villani 2009-12-05 08:19:08 EST
Spec URL: http://gitorious.org/lvillani/specs/blobs/master/kde/attica/attica.spec
SRPM URL: http://fedorapeople.org/~arbiter/attica/

Description: Attica is a Qt library that implements the Open Collaboration Services
API version 1.4.
Comment 1 Lorenzo Villani 2009-12-05 08:28:02 EST
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1851262
________________________________________________________________

Rpmlint:
[lvillani@enterprise attica]$ rpmlint /home/lvillani/devel/rpm/RPMS/x86_64/attica-0.1.0-1.fc12.x86_64.rpm /home/lvillani/devel/rpm/RPMS/x86_64/attica-devel-0.1.0-1.fc12.x86_64.rpm attica.spec
attica-devel.x86_64: W: no-documentation
2 packages and 1 specfiles checked; 0 errors, 1 warnings.

I decided to include "documentation" (mainly license and readme file) only in the main package.
Comment 2 Kevin Kofler 2009-12-05 20:14:06 EST
> attica-devel.x86_64: W: no-documentation

This one can be ignored (all the documentation is in the main package which is required by -devel).
Comment 3 Jaroslav Reznik 2009-12-07 14:42:14 EST
SPEC file looks ok.

in build section please use

mkdir -p %{_target_platform}
pushd %{_target_platform}   
%{cmake}
popd                          

make %{?_smp_mflags} -C %{_target_platform}
Comment 4 Rex Dieter 2009-12-07 14:48:50 EST
make that

%{cmake} ..

(the '..' was missing)
Comment 5 Jaroslav Reznik 2009-12-07 14:53:34 EST
ah sorry - copy/paste issue from other SPEC file (and removing option!)

use appropriate install section

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
Comment 6 Lorenzo Villani 2009-12-07 15:08:40 EST
* Mon Dec  7 2009 Lorenzo Villani <lvillani@binaryhelix.net> - 0.1.0-2
- Out of sourcetree build
- Use make install/fast
Comment 7 Jaroslav Reznik 2009-12-07 15:12:40 EST
It looks ok for me, thanks!

APPROVED
Comment 8 Lorenzo Villani 2009-12-07 15:19:48 EST
New Package CVS Request
=======================
Package Name: attica
Short Description: Implementation of the Open Collaboration Services API
Owners: arbiter rdieter kkofler jreznik
Branches: F-11 F-12
InitialCC:
Comment 9 Kevin Fenzi 2009-12-09 12:43:34 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.